package com.company.testaddon.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

import java.time.LocalTime;
import java.util.UUID;

@JmixEntity
@Table(name = "TSTAD_STORE")
@Entity(name = "tstad_Store")
public class Store {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @InstanceName
    @Column(name = "NAME")
    private String name;

    @Column(name = "WORK_FROM")
    private LocalTime workFrom;

    @Column(name = "WORK_TO")
    private LocalTime workTo;

    public LocalTime getWorkTo() {
        return workTo;
    }

    public void setWorkTo(LocalTime workTo) {
        this.workTo = workTo;
    }

    public LocalTime getWorkFrom() {
        return workFrom;
    }

    public void setWorkFrom(LocalTime workFrom) {
        this.workFrom = workFrom;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}